[arch-commits] Commit in python-secretstorage/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu Jan 24 21:36:01 UTC 2019


    Date: Thursday, January 24, 2019 @ 21:35:59
  Author: felixonmars
Revision: 427581

archrelease: copy trunk to community-any

Added:
  python-secretstorage/repos/community-any/PKGBUILD
    (from rev 427580, python-secretstorage/trunk/PKGBUILD)
Deleted:
  python-secretstorage/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   73 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 36 insertions(+), 37 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-01-24 21:35:42 UTC (rev 427580)
+++ PKGBUILD	2019-01-24 21:35:59 UTC (rev 427581)
@@ -1,37 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
-# Contributor: Patrice Peterson <runiq at archlinux dot us>
-# Contributor: JonnyJD <arch at JonnyJD.net>
-
-pkgname=python-secretstorage
-_pkgname=SecretStorage
-pkgver=3.1.0
-pkgrel=1
-pkgdesc="Securely store passwords and other private data using the SecretService DBus API"
-arch=('any')
-url="https://github.com/mitya57/secretstorage"
-license=('BSD')
-depends=('python-cryptography' 'python-jeepney')
-checkdepends=('gnome-keyring' 'xorg-server-xvfb')
-source=("https://pypi.io/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz")
-sha512sums=('a044009480b359aecb0c8782f04e4d02c3c1c0e682f72733896c98f386562c43766318963452d60028d0a92d02903130278cf26a5c206f5f0909e106bdb2d133')
-
-build() {
-  cd $_pkgname-$pkgver
-
-  python setup.py build
-}
-
-check() {
-  cd $_pkgname-$pkgver
-
-  dbus-launch xvfb-run -a python -m unittest discover -s tests || warning "Tests failed"
-}
-
-package() {
-  cd $_pkgname-$pkgver
-
-  python setup.py install --root="$pkgdir" -O1
-  install -Dm 644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-secretstorage/repos/community-any/PKGBUILD (from rev 427580, python-secretstorage/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-01-24 21:35:59 UTC (rev 427581)
@@ -0,0 +1,36 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
+# Contributor: Patrice Peterson <runiq at archlinux dot us>
+# Contributor: JonnyJD <arch at JonnyJD.net>
+
+pkgname=python-secretstorage
+_pkgname=SecretStorage
+pkgver=3.1.1
+pkgrel=1
+pkgdesc="Securely store passwords and other private data using the SecretService DBus API"
+arch=('any')
+url="https://github.com/mitya57/secretstorage"
+license=('BSD')
+depends=('python-cryptography' 'python-jeepney')
+checkdepends=('gnome-keyring' 'xorg-server-xvfb')
+source=("https://pypi.io/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz")
+sha512sums=('295e0f75c772edf153480730dc20051f06e60e040a18f169620cb4aaa37b8c1a254a496464d3794a38cf49fa884a7b561fe364816f0d12a5b2622c77259f03cf')
+
+build() {
+  cd $_pkgname-$pkgver
+
+  python setup.py build
+}
+
+check() {
+  cd $_pkgname-$pkgver
+
+  dbus-launch xvfb-run -a python -m unittest discover -s tests || warning "Tests failed"
+}
+
+package() {
+  cd $_pkgname-$pkgver
+
+  python setup.py install --root="$pkgdir" -O1
+  install -Dm 644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list